This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 860857 - (mate-comps) change to comps git xml for MATE Desktop
change to comps git xml for MATE Desktop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Dan Mashal
: FutureFeature
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-09-26 17:46 EDT by Dan Mashal
Modified: 2014-03-16 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 03:17:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-09-26 17:46:54 EDT
Would like to make the following 2 changes to comps git for f18 and f17.

Please review.

Change 1:

  <category>
    <id>desktops</id>
    <_name>Desktop Environments</_name>
    <_description>Desktop environments</_description>
    <display_order>10</display_order>
    <grouplist>
      <groupid>gnome-desktop</groupid>
      <groupid>kde-desktop</groupid>
      <groupid>lxde-desktop</groupid>
      <groupid>mate-desktop</groupid>
      <groupid>meego-netbook</groupid>
      <groupid>sugar-desktop</groupid>
      <groupid>window-managers</groupid>
      <groupid>xfce-desktop</groupid>
    </grouplist>
  </category>

----------

Change 2:

  <group>
   <id>mate-desktop</id>
    <_name>MATE Desktop Environment</_name>
    <_description>MATE Desktop is based on GNOME 2 and provides a powerful graphical user interface for users who seek a simple,easy to use traditional desktop interface.</_description>
    <default>true</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq type="mandatory">mate-doc-utils</packagereq>
      <packagereq type="mandatory">mate-doc-utils</packagereq>
      <packagereq type="mandatory">mate-corba</packagereq>
      <packagereq type="mandatory">libmatewnck</packagereq>
      <packagereq type="mandatory">mate-conf</packagereq>
      <packagereq type="mandatory">libmatecomponent</packagereq>
      <packagereq type="mandatory">mate-mime-data</packagereq>
      <packagereq type="mandatory">mate-vfs</packagereq>
      <packagereq type="mandatory">libmate</packagereq>
      <packagereq type="mandatory">libmatecomponentui</packagereq>
      <packagereq type="mandatory">libmatekeyring</packagereq>
      <packagereq type="mandatory">mate-keyring</packagereq>
      <packagereq type="mandatory">libmateui</packagereq>
      <packagereq type="mandatory">libmatenotify</packagereq>
      <packagereq type="mandatory">libmatekbd</packagereq>
      <packagereq type="mandatory">libmateweather</packagereq>
      <packagereq type="mandatory">mate-icon-theme</packagereq>
      <packagereq type="mandatory">mate-dialogs</packagereq>
      <packagereq type="mandatory">mate-desktop</packagereq>
      <packagereq type="mandatory">mate-file-manager</packagereq>
      <packagereq type="mandatory">mate-notification-daemon</packagereq>
      <packagereq type="mandatory">mate-backgrounds</packagereq>
      <packagereq type="mandatory">mate-menus</packagereq>
      <packagereq type="mandatory">mate-window-manager</packagereq>
      <packagereq type="mandatory">mate-polkit</packagereq>
      <packagereq type="mandatory">mate-settings-daemon</packagereq>
      <packagereq type="mandatory">mate-control-center</packagereq>
      <packagereq type="mandatory">mate-panel</packagereq>
      <packagereq type="mandatory">mate-session-manager</packagereq>
     </packagelist>
   </group>
Comment 1 Bill Nottingham 2012-09-28 16:49:38 EDT
These packages don't seem to exist yet? Maybe I'm looking in the wrong place.
Comment 2 Bill Nottingham 2012-09-28 16:53:48 EDT
Strike that - looking as of now, all but 4 are in F18, while 7 are in F17 updates.
Comment 3 Bill Nottingham 2012-09-28 17:11:13 EDT
Pushed with some minor tweaks:

1) Description changed to 
MATE Desktop is a desktop based on GNOME 2 that provides a powerful...
2) You have mate-doc-utils listed twice.
3) For F18/F19, I've added some bits that fit with how desktops are installed there:
- a display manager (lightdm-gtk, feel free to change it to whatever you want)
- the network manager applet, connection editor, & VPN plugins
- firstboot
- firewall-config

For future use,  a comps group is not a full manifest - the packages in it are dependency solved. So you can likely eliminate some/many of the libraries listed in your group (but they don't hurt to include).

To be visible in the installer in F18/F19, there needs to be an 'environment' defined for mate in the comps file - look for the <environment> definitions. For most desktops, they have some optional groups there (apps, games, whatever); those groups would need to be created if you have specific apps that go with Mate.
Comment 4 Dan Mashal 2012-09-28 23:12:17 EDT
Thanks. Will review.
Comment 5 Jens Petersen 2012-10-01 02:09:40 EDT
I don't think mate-doc-utils should be included at all:
it pulls in gcc and glibc-devel etc (via libtool).

mate-doc-utils -> mate-common -> libtool -> gcc -> glibc-devel ...
Comment 6 Dan Mashal 2012-10-01 03:04:02 EDT
I agree Jans.

I think mate-common and mate-doc-utils can probably be excluded.
Comment 7 Rex Dieter 2012-10-01 08:25:17 EDT
fix committed
Comment 8 Dan Mashal 2012-10-10 15:04:31 EDT
Need to add lightdm @base-x @standard @base for as mandatory  f18
Comment 9 Dan Mashal 2012-10-14 20:39:39 EDT
Made the following commit to f18 comps:

  <group>
   <id>mate-desktop</id>
    <_name>MATE Desktop Environment</_name>
    <_description>MATE Desktop is based on GNOME 2 and provides a powerful graphical user interface for users who seek a simple easy to use traditional desktop interface.</_description>
    <default>false</default>
    <uservisible>false</uservisible>
    <packagelist>
      <packagereq>abrt-desktop</packagereq>
      <packagereq>setroubleshoot</packagereq>
      <packagereq>desktop-backgrounds-compat</packagereq>
      <packagereq>mate-corba</packagereq>
      <packagereq>libmatewnck</packagereq>
      <packagereq>mate-conf</packagereq>
      <packagereq>libmatecomponent</packagereq>
      <packagereq>mate-mime-data</packagereq>
      <packagereq>mate-vfs</packagereq>
      <packagereq>libmate</packagereq>
      <packagereq>libmatecomponentui</packagereq>
      <packagereq>libmatekeyring</packagereq>
      <packagereq>mate-keyring</packagereq>
      <packagereq>libmateui</packagereq>
      <packagereq>libmatenotify</packagereq>
      <packagereq>libmatekbd</packagereq>
      <packagereq>libmateweather</packagereq>
      <packagereq>mate-icon-theme</packagereq>
      <packagereq>mate-dialogs</packagereq>
      <packagereq>mate-desktop</packagereq>
      <packagereq>mate-file-manager</packagereq>
      <packagereq>mate-notification-daemon</packagereq>
      <packagereq>mate-backgrounds</packagereq>
      <packagereq>mate-menus</packagereq>
      <packagereq>mate-window-manager</packagereq>
      <packagereq>mate-polkit</packagereq>
      <packagereq>mate-settings-daemon</packagereq>
      <packagereq>mate-control-center</packagereq>
      <packagereq>mate-panel</packagereq>
      <packagereq>mate-session-manager</packagereq>
      <packagereq>ConsoleKit</packagereq>
      <packagereq>firstboot</packagereq>
      <packagereq>network-manager-applet</packagereq>
      <packagereq>nm-connection-editor</packagereq>
      <packagereq>firewall-config</packagereq>
      <packagereq>lightdm-gtk</packagereq>
      <packagereq>xscreensaver-base</packagereq>
      <packagereq>yumex</packagereq>
      <packagereq>ConsoleKit-x11</packagereq>
      <packagereq>NetworkManager-openconnect</packagereq>
      <packagereq>NetworkManager-openvpn</packagereq>
      <packagereq>NetworkManager-pptp</packagereq>
      <packagereq>NetworkManager-vpnc</packagereq>
      <packagereq>firefox</packagereq>
      <packagereq>xterm</packagereq>
     </packagelist>
   </group>
   <group>
Comment 10 Dan Mashal 2012-10-14 22:13:02 EDT
Removed ConsoleKit and added ConsoleKit-x11 per nirik.
Comment 11 Dan Mashal 2012-10-19 03:17:46 EDT
Thanks. This is taken care of.

Note You need to log in before you can comment on or make changes to this bug.